#include <iostream>
int n;
int x;
int main()
{
	std::cin >> n;
	std::cin >> x;
	int max;
	std::cin >> max;
	int min;
	std::cin >> min;
	if(min>max) {
		int p = min;
		min = max;
		max = p;		
	}
	int z;
	for(int i=2;i<n;i++) {
		std::cin >> z;
		if (z < min)
			min=z;
		if (z > max)
			max = z;
	}
	
	if (x <= min)
		std::cout << max - x;
	else if (x >= max)
		std::cout << x - min;
	else {
		int h = x - min;
		int j = max - x;
		if (h < j)
			std::cout << 2 * h + j;
		else
			std::cout << 2 * j + h;
	}

}